> For the complete documentation index, see [llms.txt](https://docs.coresignal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coresignal.com/additional-sources/indeed-data/indeed-jobs/data-dictionary.md).

# Data Dictionary: Indeed Jobs

The Dictionary contains explanations and examples for all data fields available in the global **Indeed Jobs** dataset. Indeed Jobs offers constantly updated job postings sourced from one of the world's largest global job boards.

This data dictionary is refreshed according to the latest changes in our data.

{% hint style="info" %}
All company information mentioned within this context is entirely fictional and is solely intended for illustrative purposes.
{% endhint %}

{% tabs %}
{% tab title="Data fields by category" %}

1. [Metadata](#metadata)
2. [Employer information](#employer-information)
3. [Job ad information](#job-a-d-information)
   {% endtab %}
   {% endtabs %}

{% hint style="info" %}
The data fields in the example snippets have been rearranged for better grouping. To see where a specific data field stands, check the full data sample [here](/additional-sources/indeed-data/indeed-jobs/data-sample.md).
{% endhint %}

## Metadata

### Record metadata

| Data field       | Description                                                                                                              | Data type |
| ---------------- | ------------------------------------------------------------------------------------------------------------------------ | --------- |
| `date_published` | Record's publishing date                                                                                                 | Long      |
| `created_at`     | Date when the record was initially scraped                                                                               | Timestamp |
| `updated_at`     | Date when the record was last updated                                                                                    | Timestamp |
| `deleted`        | <p>Indicates if the record is available on Indeed:<br><code>1</code> – is deleted<br><code>0</code> – is not deleted</p> | Integer   |

**See a snippet of the dataset for reference:**

{% code title="Record metadata" %}

```json
"date_published": 1691643600000,
"deleted": 0,
"created_at": "2025-12-01 08:00:00",
"updated_at": "2025-12-01 08:00:00"
```

{% endcode %}

### Jobs metadata

| Data field   | Description                                                                                                                                                                                  | Data type |
| ------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------- |
| `company_id` | Employing company identifier in our database                                                                                                                                                 | String    |
| `expired`    | Indicates whether the posting has expired on Indeed (`true`) or is still active (`false`). Expired records are retained in the archive and are valuable for historical hiring trend analysis | Boolean   |
| `id`         | Record identifier in our database                                                                                                                                                            | String    |
| `source_id`  | Record identifier on Indeed                                                                                                                                                                  | String    |

**See a snippet of the dataset for reference:**

{% code title="Job posting metadata" %}

```json
"id": "indeed_job_0123abc7",
"source_id": "0123abc7",
"expired": false,
"company_id": "www.example-company.com",
```

{% endcode %}

| Data field               | Description                                                     | Data type |
| ------------------------ | --------------------------------------------------------------- | --------- |
| `is_sponsored`           | Marks whether the job is a sponsored ad                         | Boolean   |
| `is_featured_employer`   | Marks whether the company is a featured employer on the website | Boolean   |
| `is_urgently_hiring`     | Marks whether the card `urgently hiring` is displayed           | Boolean   |
| `is_easy_apply`          | Marks whether the card `easy apply` is displayed                | Boolean   |
| `is_responsive_employer` | Marks whether the card `responsive employer` is displayed       | Boolean   |
| `is_multiple_candidates` | Marks whether the card `multiple candidates` is displayed       | Boolean   |
| `accepts_remote`         | Marks whether the company offers remote work possibility        | Boolean   |

**See a snippet of the dataset for reference:**

{% code title="Main details" %}

```json
"is_sponsored": false,
"is_featured_employer": false
"is_urgently_hiring": false,
"is_easy_apply": false,
"is_responsive_employer": false,
"is_multiple_candidates": false,
"accepts_remote": false
```

{% endcode %}

### Advertisement details

| Data field             | Description              | Data type        |
| ---------------------- | ------------------------ | ---------------- |
| `advertisement_id`     | Advertisement identifier | String           |
| `advertisement_number` | Advertisement number     | Number (integer) |

**See a snippet of the dataset for reference:**

{% code title="Advertisement details" %}

```json
	"advertisement_id": "59519634-373-402",
	"advertisement_number": 2938830390970469
```

{% endcode %}

## Employer information

### Main details

| Data field              | Description                  | Data type |
| ----------------------- | ---------------------------- | --------- |
| `company`               | Hiring company               | String    |
| `location`              | Job location                 | String    |
| `indeed_origin_country` | Job country                  | String    |
| `company_website`       | Employer's profile on Indeed | String    |
| `company_tier`          | Company’s tier or size level | String    |

**See a snippet of the dataset for reference:**

{% code title="Main details" %}

```json
"company": "Example Company",
"location": "Kingston, NY 12401",
"indeed_origin_country": "United States",
"company_website": "https:/indeed.com/cmp/example-company",
"company_tier": "Enterprise",
```

{% endcode %}

### Employer ratings

| Data field             | Description                                  | Data type |
| ---------------------- | -------------------------------------------- | --------- |
| `company_star_rating`  | Average star rating based on company reviews | Float     |
| `company_review_count` | Number of company reviews                    | Integer   |

**See a snippet of the dataset for reference:**

{% code title="Ratings" %}

```json
"company_star_rating": 3.3,
"company_review_count": 98,
```

{% endcode %}

## Job ad information

### Main details

| Data field             | Description                                                                              | Data type |
| ---------------------- | ---------------------------------------------------------------------------------------- | --------- |
| `url`                  | Job posting URL on Indeed                                                                | String    |
| `title`                | Job title                                                                                | String    |
| `description`          | <p>Job position description</p><p><strong>Note</strong>: contains control characters</p> | String    |
| `job_type`             | Offered employment type                                                                  | String    |
| `hire_count`           | Shows how many positions are available for the job                                       | Integer   |
| `is_fair_chance`       | Indicates if the job supports fair chance (e.g., for applicants with records)            | Boolean   |
| `job_age`              | Specifies how old the job posting is (e.g., “`3 days ago`”)                              | String    |
| `organic_applications` | Number of organic applications received (non-sponsored)                                  | Integer   |

**See a snippet of the dataset for reference:**

{% code title="Main details" %}

```json
"url": "https://www.indeed.com/viewjob?example",
"title": "Data analyst",
"description": "We are looking for self-motivated, detail-oriented individuals with a desire to learn. Job Type: Part-time Pay: From $38.00 per hour Expected hours: 20 \u2013 35 per week Schedule: Day shift Monday to Friday Weekends as needed Ability to Relocate: Kingston, NY 12401: Relocate before starting work (Required) Work Location: In person",
"job_type": "Internship",
"hire_count": 1,
"is_fair_chance": true,
"job_age": "Today",
"organic_applications": 10
```

{% endcode %}

### Related URLs

| Data field | Description                              | Data type |
| ---------- | ---------------------------------------- | --------- |
| `website`  | Company's website/career website         | string    |
| `job_link` | Job posting on the company's career site | string    |

**See a snippet of the dataset for reference:**

{% code title="Related URLs" %}

```json
"website": "www.example-company.com/careers",
"job_link": "https://www.indeed.com/applystart?example",
```

{% endcode %}

### Salary

| Data field    | Description                           | Data type |
| ------------- | ------------------------------------- | --------- |
| `salary`      | Offered salary details                | Object    |
| `salary_min`  | Lower end of the salary range         | Float     |
| `salary_max`  | Higher end of the salary range        | Float     |
| `salary_type` | Indicates the salary type for the job | String    |
| `salary_text` | Additional notes                      | String    |

**See a snippet of the dataset for reference:**

{% code title="Salary" %}

```json
"salary": {
        "salary_min": 35.0,
        "salary_max": 39.0,
        "salary_type": "HOURLY",
        "salary_text": "$35 - $39 an hour"
      }
```

{% endcode %}

### Job benefits

| Data field | Description      | Data type        |
| ---------- | ---------------- | ---------------- |
| `benefits` | Offered benefits | Array of strings |

**See a snippet of the dataset for reference:**

{% code title="Benefits" %}

```json
"benefits": [
                "Dental care",
                "On-site parking"
            ],
```

{% endcode %}

### Required q**ualifications**

| Data field       | Description             | Data type        |
| ---------------- | ----------------------- | ---------------- |
| `qualifications` | Required qualifications | Array of strings |

**See a snippet of the dataset for reference:**

{% code title="Qualifications" %}

```json
"qualifications": [
                "Bachelor's (Preferred)",
                "Total work: 1 year (Preferred)",
                "Academic counseling: 1 year (Preferred)",
                "English (Preferred)"
            ],
```

{% endcode %}

### Shift schedule

| Data field       | Description                                  | Data type        |
| ---------------- | -------------------------------------------- | ---------------- |
| `shift_schedule` | Expected shift schedule for the job position | Array of strings |

**See a snippet of the dataset for reference:**

{% code title="Shift schedule" %}

```json
"shift_schedule": [
    "Weekends as needed",
    "Evenings as needed",
    "Holidays"
  ],
```

{% endcode %}

### Attributes

| Data field    | Description                           | Data type |
| ------------- | ------------------------------------- | --------- |
| `attributes`  | List of job attributes                | Struct    |
| `key`         | Attribute key                         | String    |
| `label`       | Attribute label                       | String    |
| `highlighted` | Marks if the attribute is highlighted | Boolean   |

**See a snippet of the dataset for reference:**

{% code title="Attributes schedule" %}

```json
  "attributes": [
    {
      "key": "H3ZFF",
      "label": "Paid weekly",
      "highlighted": true
    }
  ],
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coresignal.com/additional-sources/indeed-data/indeed-jobs/data-dictionary.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
